<p>
 Izvrsno! Vaše rješenje je točno. U nastavku je još jednom prikazan
 način na koji je zadatak trebalo riješiti.
</p>

<pre><code>library ieee;
use ieee.std_logic_1164.all;

ENTITY usporedba IS PORT (
 a, b: IN std_logic_vector(1 downto 0);
 f: OUT std_logic
);
END usporedba;

ARCHITECTURE strukturna2 OF usporedba IS
 SIGNAL ac, bc: std_logic_vector(1 downto 0);
 SIGNAL eq0c, eq1c: std_logic;
BEGIN
  ac &lt;= not a;
  bc &lt;= not b;

  c1: ENTITY work.aoi22 PORT MAP (a=>a(0), b=>b(0), c=>ac(0), d=>bc(0), f=>eq0c);
  c2: ENTITY work.aoi22 PORT MAP (a=>a(1), b=>b(1), c=>ac(1), d=>bc(1), f=>eq1c);
  c3: ENTITY work.aoi22 PORT MAP (a=>eq0c, b=>eq0c, c=>eq1c, d=>eq1c, f=>f);
END strukturna2;</code></pre>

<p>
 Redoslijed naredbi u tijelu arhitekture pri tome nije bitan. Kod navođenja parova pri povezivanju putem imena, 
 parove smo također mogli navoditi proizvoljnim redoslijedom.
</p>

